<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

class sharethis_maintain extends PluginMaintain {
  private $default_conf = array(
    'facebook'   => false,
    'pinterest'  => false,
    'twitter'    => false,
    'googleplus' => false
  );

  function __construct($plugin_id) {
    parent::__construct($plugin_id); // always call parent constructor
  }

  /**
   * Plugin installation
   */
  function install($plugin_version, &$errors=array()) {
    global $conf;

    // add config parameter
    if (empty($conf['sharethis'])):
      conf_update_param('sharethis', $this->default_conf, true);
    else:
      $old_conf = safe_unserialize($conf['sharethis']);

      //if (empty($old_conf['option3']))
      //{ // use case: this parameter was added in a new version
      //  $old_conf['option3'] = 'two';
      //}

      conf_update_param('sharethis', $old_conf, true);
    endif;
  }

  /**
   * Plugin activation
   */
  function activate($plugin_version, &$errors=array()) {
  }

  /**
   * Plugin deactivation
   */
  function deactivate() {
  }

  /**
   * Plugin (auto)update
   */
  function update($old_version, $new_version, &$errors=array()) {
    $this->install($new_version, $errors);
  }

  /**
   * Plugin uninstallation
   */
  function uninstall() {
    // delete configuration
    conf_delete_param('sharethis');
  }
}